gr::dab::xrun_monitor_cc Class Referenceabstract

<+description of block+> More...

`#include <xrun_monitor_cc.h>`

Inheritance diagram for gr::dab::xrun_monitor_cc:
[legend]

## Public Types

typedef std::shared_ptr< xrun_monitor_cc > | sptr

## Public Member Functions

virtual void | set_drop_when_full (bool val)=0
virtual void | stop_until_tag ()=0
virtual void | set_report_fill (bool)=0

## Static Public Member Functions

static sptr | make (int length=500000)
| Return a shared_ptr to a new instance of grdab::xrun_monitor_cc.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<xrun_monitor_cc> gr::dab::xrun_monitor_cc::sptr

## Member Function Documentation

## make()

sptr gr::dab::xrun_monitor_cc::make | ( | int | length = 500000 | ) |

static

Return a shared_ptr to a new instance of grdab::xrun_monitor_cc.

To avoid accidental use of raw pointers, grdab::xrun_monitor_cc's constructor is in a private implementation class. grdab::xrun_monitor_cc::make is the public interface for creating new instances.

## set_drop_when_full()

virtual void gr::dab::xrun_monitor_cc::set_drop_when_full | ( | bool | val | ) |

pure virtual

Implemented in gr::dab::xrun_monitor_cc_impl.

## set_report_fill()

virtual void gr::dab::xrun_monitor_cc::set_report_fill | ( | bool |  | ) |

pure virtual

Implemented in gr::dab::xrun_monitor_cc_impl.

## stop_until_tag()

virtual void gr::dab::xrun_monitor_cc::stop_until_tag | ( |  | ) |

pure virtual

Implemented in gr::dab::xrun_monitor_cc_impl.

The documentation for this class was generated from the following file:

- xrun_monitor_cc.h